Subject: 23.2; Not trusting file .hg/hgrc from untrusted user... for 'vc-hg.el'.

From: Oleksandr Gavenko <[email-masked]>
Date: Mon, 31 Oct 2011 15:33:18 +0200

Under Debian I have:

   $ ls -l .hg/hgrc
-rw-rw-r-- 1 www-data www-data 97  19 18:23 .hg/hgrc

To resolve issue http://mercurial.selenic.com/wiki/Trust I put to '~/.hgrc':

   [trusted]
   users = apache, daemon, www-data
   groups = apache, daemon, www-data

but Emacs ignore that as some 'hg' command invoked with
'HGRCPATH='. So

   $ hg st README.rst
M README.rst
   $  HGRCPATH= hg st README.rst
Not trusting file /usr/srv/hg/test/.hg/hgrc from untrusted user 
www-data, group www-data
Not trusting file .hg/hgrc from untrusted user www-data, group www-data
Not trusting file /usr/srv/hg/test/.hg/hgrc from untrusted user 
www-data, group www-data
Not trusting file /usr/srv/hg/test/.hg/hgrc from untrusted user 
www-data, group www-data
M README.rst

Because of this Emacs VC status line show "Not trusting file..." instead 
of "Hg-201".

And so C-x v v does not work as Emacs does not detect local changes in 
file...

So I can not commit from a file. As workaround I commit from VC-dir.

-- 
Best regards!